apply plugin: 'com.android.library'

android {
    compileSdkVersion ANDROID_COMPILE_SDK_VERSION as int
    buildToolsVersion ANDROID_BUILD_TOOLS_VERSION

    defaultConfig {
        minSdkVersion ANDROID_MIN_SDK_VERSION as int
        targetSdkVersion ANDORID_TARGET_SDK_VERSION as int
        versionCode VERSION_CODE as int
        versionName VERSION_NAME
    }

    lintOptions {
        abortOnError false
    }

    dexOptions {
        preDexLibraries = false
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    buildToolsVersion ANDROID_BUILD_TOOLS_VERSION
}

dependencies {
    compile 'com.android.support:appcompat-v7:27.1.0'
    compile 'com.android.support:support-v4:27.1.0'
//    compile 'com.github.bumptech.glide:glide:3.7.0'
    compile ('jp.wasabeef:glide-transformations:2.0.2'){
        exclude group: 'com.github.bumptech.glide', module: 'glide'
    }
//    compile project(':sheep')
}
